//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import javax.xml.datatype.XMLGregorianCalendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VersionInformation complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VersionInformation"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="VersionId" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *         &lt;element name="Version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Systemtyp" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *         &lt;element name="Beskrivning" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Skapad" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
 *         &lt;element name="Signatur" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="BastaxonomiId" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *         &lt;element name="Bastaxonominamn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VersionInformation", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "versionId",
    "version",
    "systemtyp",
    "beskrivning",
    "skapad",
    "signatur",
    "bastaxonomiId",
    "bastaxonominamn"
})
public class VersionInformation {

    @XmlElement(name = "VersionId")
    protected int versionId;
    @XmlElement(name = "Version")
    protected String version;
    @XmlElement(name = "Systemtyp")
    protected int systemtyp;
    @XmlElement(name = "Beskrivning")
    protected String beskrivning;
    @XmlElement(name = "Skapad", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar skapad;
    @XmlElement(name = "Signatur")
    protected String signatur;
    @XmlElement(name = "BastaxonomiId")
    protected int bastaxonomiId;
    @XmlElement(name = "Bastaxonominamn")
    protected String bastaxonominamn;

    /**
     * Gets the value of the versionId property.
     * 
     */
    public int getVersionId() {
        return versionId;
    }

    /**
     * Sets the value of the versionId property.
     * 
     */
    public void setVersionId(int value) {
        this.versionId = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

    /**
     * Gets the value of the systemtyp property.
     * 
     */
    public int getSystemtyp() {
        return systemtyp;
    }

    /**
     * Sets the value of the systemtyp property.
     * 
     */
    public void setSystemtyp(int value) {
        this.systemtyp = value;
    }

    /**
     * Gets the value of the beskrivning property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBeskrivning() {
        return beskrivning;
    }

    /**
     * Sets the value of the beskrivning property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBeskrivning(String value) {
        this.beskrivning = value;
    }

    /**
     * Gets the value of the skapad property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getSkapad() {
        return skapad;
    }

    /**
     * Sets the value of the skapad property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setSkapad(XMLGregorianCalendar value) {
        this.skapad = value;
    }

    /**
     * Gets the value of the signatur property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSignatur() {
        return signatur;
    }

    /**
     * Sets the value of the signatur property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSignatur(String value) {
        this.signatur = value;
    }

    /**
     * Gets the value of the bastaxonomiId property.
     * 
     */
    public int getBastaxonomiId() {
        return bastaxonomiId;
    }

    /**
     * Sets the value of the bastaxonomiId property.
     * 
     */
    public void setBastaxonomiId(int value) {
        this.bastaxonomiId = value;
    }

    /**
     * Gets the value of the bastaxonominamn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBastaxonominamn() {
        return bastaxonominamn;
    }

    /**
     * Sets the value of the bastaxonominamn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBastaxonominamn(String value) {
        this.bastaxonominamn = value;
    }

}
